Bug 49879 - MAILMERGE - Looks as if Added extra carriage return for each line with HTML mail
Summary: MAILMERGE - Looks as if Added extra carriage return for each line with HTML mail
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2012-05-13 12:39 UTC by Ferry Toth
Modified: 2019-05-14 02:57 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot from original writer doc (37.85 KB, image/png)
2014-11-06 16:45 UTC, Ferry Toth
Details
Screenshot from Kontact (50.45 KB, image/png)
2014-11-06 16:46 UTC, Ferry Toth
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ferry Toth 2012-05-13 12:39:38 UTC
While the Writer document looks pretty, the mass mailed html looks a little less pretty: each new line looks as if sent with an additional carriage return.

It seems to be caused by my e-mail reader (Evolution but I see similar with other mail readers like KMail).

So the question might be: are all the mail readers wrong in rendering the html or does LO generate the wrong html?

Example, this is sent:
<P ALIGN=LEFT STYLE="margin-bottom: 0cm">Hallo Ferry</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm"><BR>
</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm"><B>Delft International</B></P>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm">Zoals ik beloofd had zou ik
nog informatie sturen over de Delft International:</P>
<UL>
        <LI VALUE=1><P ALIGN=LEFT STYLE="margin-bottom: 0cm">Dit toernooi is
        aanstaande zondag 22 April.</P>
        <LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm">De locatie is <FONT FACE="TimesNewRomanPSMT, serif"><FONT SIZE=2>Sporthal
        De Buitenhof, Duke Ellingtonstraat 2, 2625 GB DELFT</FONT></FONT></P>
        <LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm"><FONT FACE="TimesNewRomanPSMT, serif"><FONT SIZE=2>Zaal
        open: 8:45</FONT></FONT></P>
        <LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm"><FONT FACE="TimesNewRomanPSMT, serif"><FONT SIZE=2>Meting/Weging:
        9:00</FONT></FONT></P>
</UL>

This is what it looks like and the code you get when forwarding the same message:
Hallo Ferry<BR>
    <BR>
    <BR>
    <B>Delft International</B><BR>
    <BR>
    Zoals ik beloofd had zou ik nog informatie sturen over de Delft International:<BR>
    <BR>
    <UL>
        <LI>Dit toernooi is aanstaande zondag 22 April.<BR>
        <BR>
        <LI>De locatie is <FONT SIZE="2">Sporthal De Buitenhof, Duke Ellingtonstraat 2, 2625 GB DELFT</FONT><BR>
        <BR>
        <LI><FONT SIZE="2">Zaal open: 8:45</FONT><BR>
        <BR>
        <LI><FONT SIZE="2">Meting/Weging: 9:00</FONT><BR>
        <BR>
    </UL>

Weird,

Ferry
Comment 1 Buovjaga 2014-11-06 10:47:22 UTC
I could not reproduce with Thunderbird.
It seems that in this +2 years time the HTML has changed.
For example, the elements and attributes were not uppercase, there was no align=left in the p elements, br was changed to br/.
Closing as WFM.

Win 7 64-bit Version: 4.4.0.0.alpha1+
Build ID: 8b21b5cbe78945b27525b4ce78ae3d981f90590f
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-06_03:55:51
Comment 2 Ferry Toth 2014-11-06 16:44:59 UTC
No it is not resolved. You are right that things have changed.

I checked with both Thunderbird, Kontact and GMail (the web interface) which all give the same result and will post screen shots  as attachment.

Apparently the problem now is: Each line is translated to <p class=3D"western" align=3D"left" style=3D"margin-bottom: 0cm">The line</p> which automatically creates a spacing with the previous line. 

An empty line becomes
<p class=3D"western" align=3D"left" style=3D"margin-bottom: 0cm"><br/>

</p>

So a break with additional paragraph spacing.
Comment 3 Ferry Toth 2014-11-06 16:45:54 UTC
Created attachment 109052 [details]
Screenshot from original writer doc
Comment 4 Ferry Toth 2014-11-06 16:46:28 UTC
Created attachment 109053 [details]
Screenshot from Kontact
Comment 5 Joel Madero 2014-11-06 22:52:27 UTC
Needs confirmed by QA team, moving to UNCONFIRMED. Thanks all.
Comment 6 Buovjaga 2014-11-07 06:11:06 UTC
Oops, I got confused with the talk about forwarded message being different.
I confirm that the breaks have their own p elements.
Comment 7 QA Administrators 2015-12-20 16:16:41 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.4 or later)
   https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 

3. Leave a comment with your results. 

4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 

4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-12-20
Comment 8 QA Administrators 2019-05-14 02:57:33 UTC
Dear Ferry Toth,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug